%global gem_name columnize

Summary:        Sorts an array in column order
Name:           rubygem-%{gem_name}
Version:        0.3.1
Release:        9%{?dist}
Group:          Development/Languages
License:        GPLv2
URL:            http://rubyforge.org/projects/rocky-hacks/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(release)
Requires:       ruby(rubygems)
BuildRequires:	ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:	rubygem(minitest)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
Sorts an array in column order

%prep

%build

%install
rm -rf %{buildroot}
%gem_install -n %{SOURCE0} -d %{buildroot}%{gem_dir}

# Remove backup files
find %{buildroot}/%{gem_instdir} -type f -name "*~" -delete

# Fix shebangs
find %{buildroot}/%{gem_instdir} -type f -exec sed -r -e 's"^#!(.*)/usr/bin/env ruby"#!/usr/bin/ruby"' {} \;

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{gem_instdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{gem_instdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{gem_instdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

# Remove these hidden files
rm -rf %{buildroot}/%{gem_instdir}/.project
rm -rf %{buildroot}/%{gem_instdir}/.loadpath

%check
pushd %{buildroot}/%{gem_instdir}
testrb test/*.rb
popd

%files
%doc %{gem_docdir}/
%dir %{gem_instdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/VERSION
%{gem_libdir}/
%{gem_instdir}/test/
%exclude %{gem_cache}
%{gem_spec}


%changelog
* Mon Mar 25 2013 Vít Ondruch <vondruch@redhat.com> - 0.3.1-9
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb  5 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.3.1-6
- F-17: rebuild against ruby19

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.3.1-3
- Enable %%check

* Wed Oct 21 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.3.1-2
- Fix license

* Wed Oct 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.3.1-1
- First package
